Debian Bug report logs - #625989
librdf-query-perl: use Digest::SHA instead of Digest::SHA1 in lib/RDF/Query/Functions/Jena.pm

version graph

Package: src:librdf-query-perl; Maintainer for src:librdf-query-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 7 May 2011 15:39:02 UTC

Severity: normal

Found in version librdf-query-perl/2.905-1

Fixed in versions librdf-query-perl/2.906-1, 2.906

Done: Kjetil Kjernsmo <kjetil@kjernsmo.net>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=68007

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#625989; Package src:librdf-query-perl. (Sat, 07 May 2011 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 07 May 2011 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: librdf-query-perl: use Digest::SHA instead of Digest::SHA1 in lib/RDF/Query/Functions/Jena.pm
Date: Sat, 07 May 2011 17:35:26 +0200
Source: librdf-query-perl
Version: 2.905-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi

We would like to drop libdigest-sha1-perl at some point, see [1]. Most
of the functionality (except sha1_transform) of Digest::SHA1 is also
provided by Digest::SHA.  Switching from Digest::SHA1 to Digest::SHA
should be in principle as easy as substituting the use of Digest::SHA1
with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

The module lib/RDF/Query/Functions/Jena.pm uses Digest::SHA1, but from
there only sha1_hex, which is same available by Digest::SHA. The tests
too use in t/filters.t Digest::SHA1 so far.

Changing this would allow to prepare the removal of
libdigest-sha1-perl.

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=68007'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 07 May 2011 15:54:06 GMT) Full text and rfc822 format available.

Reply sent to Kjetil Kjernsmo <kjetil@kjernsmo.net>:
You have taken responsibility. (Tue, 28 Jun 2011 10:06:29 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Tue, 28 Jun 2011 10:06:32 GMT) Full text and rfc822 format available.

Message #12 received at 625989-done@bugs.debian.org (full text, mbox):

From: Kjetil Kjernsmo <kjetil@kjernsmo.net>
To: 625989-done@bugs.debian.org
Subject: RDF::Query now uses Digest::SHA
Date: Tue, 28 Jun 2011 12:03:35 +0200
Version: 2.906

RDF::Query 2.906 fixed the reported problem and now that 2.907 is in testing, 
it is appropriate to close the report.

Kjetil
-- 
Kjetil Kjernsmo
PhD Research Fellow, University of Oslo, Norway
Semantic Web / SPARQL Query Federation
kjetil@kjernsmo.net           http://www.kjetil.kjernsmo.net/




Marked as fixed in versions librdf-query-perl/2.906-1. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 24 Aug 2013 13:24:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Sep 2013 07:36:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:53:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.